/********************************************************************************/
/*!
	@file			ff_support.h
	@author         Nemui Trinomius (http://nemuisan.blog.bai.ne.jp)
    @version        4.00
    @date           2012.07.10
	@brief          Interface of FatFs For STM32 F2/F4 Series.			@n
					Based on Chan's FatFs Test Terminal Thanks!

    @section HISTORY
		2010.12.31	V1.00	ReStart Here.
		2011.03.10	V2.00	C++ Ready.
		2012.01.31	V3.00	Fixed Minor Bugs.
		2012.07.10  V4.00	Fixed Minor Bugs.

    @section LICENSE
		BSD License. See Copyright.txt
*/
/********************************************************************************/
#ifndef __FF_SUPPORT_H
#define __FF_SUPPORT_H	0x0400

#ifdef __cplusplus
 extern "C" {
#endif

/* Basics */
#include <string.h> /* memset et al*/

/* Miscs */
#include "hw_config.h"
#include "diskio.h"
#include "ff.h"
#include "term_io.h"
#include "rtc_support.h"
#include "display_if.h"

/* Defines */
/* Determine FatFs Filer Fonts */
#define USE_FILER_FONTX		1	/* 0:use internal filer font*/
                                /* 1:use fontx user fonts */
/* Determine FatFs Buffer memories */
#if defined(USE_IJG_LIB) || defined(USE_LIBPNG) || defined(USE_GIFLIB)
 #define BUFSIZE	16*1024
#else
 #define BUFSIZE	32*1024
#endif

/* Function Prototypes */
extern void ff_support_timerproc(void);
extern int ff_test_term(void);

#ifdef __cplusplus
}
#endif

#endif /*__FF_SUPPORT_H */
